<template>
  <div>
    <h1>
      {{ $t('sidebar.kalendar.title') }}
    </h1>
    <section class="kalendar-icons">
      <b-icon v-for="i in day - 1" :key="'p-' + i"
              pack="far"
              size="is-medium"
              type="is-danger"
              icon="calendar-times" />
      <b-icon icon="calendar-check"
              pack="far"
              size="is-medium"
              type="is-success" />
      <b-icon v-for="i in 14 - day" :key="'r-' + i"
              pack="far"
              size="is-medium"
              icon="calendar" />
    </section>
    <section class="has-text-centered">
      <span class="is-capitalized">
        {{ $t('sidebar.kalendar.period') }}
      </span> {{ period }} -
      <span class="is-capitalized">
        {{ $t('sidebar.kalendar.day') }}
      </span> {{ day }}
    </section>
  </div>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';

@Component
export default class Kalendar extends Vue {
  day: number = 1;
  period: number = 1;

  async mounted() {
    const { data } = await this.$http.get('periods/current');

    this.day = data.day;
    this.period = data.id;
  }
}
</script>

<style lang="scss">
.kalendar-icons {
  position: relative;
  right: 5px;
}
</style>
